# AWS API client for AWS IoT Greengrass V2

**Warning: This is a generated library, some operations may not work.**

*About the service:*
AWS IoT Greengrass brings local compute, messaging, data management, sync,
and ML inference capabilities to edge devices. This enables devices to
collect and analyze data closer to the source of information, react
autonomously to local events, and communicate securely with each other on
local networks. Local devices can also communicate securely with AWS IoT
Core and export IoT data to the AWS Cloud. AWS IoT Greengrass developers can
use AWS Lambda functions and components to create and deploy applications to
fleets of edge devices for local operation.

AWS IoT Greengrass Version 2 provides a new major version of the AWS IoT
Greengrass Core software, new APIs, and a new console. Use this API
reference to learn how to use the AWS IoT Greengrass V2 API operations to
manage components, manage deployments, and core devices.

For more information, see <a
href="https://docs.aws.amazon.com/greengrass/v2/developerguide/what-is-iot-greengrass.html">What
is AWS IoT Greengrass?</a> in the <i>AWS IoT Greengrass V2 Developer
Guide</i>.

## Links

- [Other AWS libraries](https://github.com/agilord/aws_client/tree/master/generated).
- [Issue tracker](https://github.com/agilord/aws_client/issues).
- [AWS API definitions](https://github.com/aws/aws-sdk-js/tree/master/apis).

## Contributors

- [Jonathan Böcker](https://github.com/Schwusch)
- [Istvan Soós](https://github.com/isoos)

